(function () {

  // Close dialog on click outside
  window.addEventListener('dialog:aftercreate', dialogAfterCreateEvent => {
    const dialogSettings = dialogAfterCreateEvent.dialog;
    const dialogEl = dialogSettings.instance();

    dialogEl.addEventListener('click', dialogClickEvent => {
      if (dialogClickEvent.target === dialogEl) {
        dialogSettings.close();
      }
    });
  });

})();
