<?php

namespace Drupal\improvements\Plugin\Field\FieldType;

use Drupal\Core\Field\Attribute\FieldType;
use Drupal\Core\Field\Plugin\Field\FieldType\MapItem;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\improvements\Plugin\Field\ThirdPartyDataItemList;

#[FieldType(
  id: 'third_party_data',
  label: new TranslatableMarkup('Third party data'),
  description: new TranslatableMarkup('Field for storing modules data.'),
  no_ui: TRUE,
  list_class: ThirdPartyDataItemList::class,
  cardinality: 1,
)]
class ThirdPartyDataItem extends MapItem { }
